Miru

Monitors

List all Monitors

Use the API to list all the monitors in your workspace.

Required Permissions

  • monitors.read

Example Request

This request will return a list of all monitors in your workspace.

curl -X GET "https://status.example.com/api/v1/monitor" \
  -H "x-api-key: YOUR_API_KEY"

Response

If the API key is valid, hasn't expired, and has the monitors.read permission, the API will return a JSON response with a list of monitors.

{
	"error": false,
	"monitors": [
		{
			"id": "pAbfD8udMmgzPdXx",
			"workspaceId": "CiRW68WMhJUnlyeF",
			"name": "Website",
			"type": "http",
			"url": "tygr.dev",
			"interval": 5,
			"createdAt": "2025-05-17T22:35:28.804Z",
			"updatedAt": "2025-05-17T22:35:28.804Z"
		}
	]
}

Error Response

If there is a problem with the request, the API will return a JSON response with an error message.

{
	"error": true,
	"message": "Missing monitors permissions: read"
}

Types

The API will return a JSON response that can include the following values:

Response

Prop

Type

Monitor

Prop

Type